/api/v1/tiers/{id} (GET)
GET
/api/v1/tiers/{id}
const url = 'https://api.endless.zaia.app/api/v1/tiers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.endless.zaia.app/api/v1/tiers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Retrieves a tier.
Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”id
required
A UUID v4 string that identifies an entity.
string format: uuid
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”Retrieves a tier.
Media typeapplication/json
object
createdAt
required
string format: date-time
id
required
A UUID v4 string that identifies an entity.
string format: uuid
updatedAt
required
string format: date-time
description
required
A description of the tier.
string
maxAssistantMessages
required
The maximum number of assistant messages allowed for this tier.
integer
name
required
The name of the tier.
string
prompt
required
The prompt associated with the tier to be injected into the agent.
string
workspaceId
required
The ID of the workspace this tier belongs to.
string format: uuid
Examplegenerated
{ "createdAt": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "updatedAt": "2026-04-15T12:00:00Z", "description": "example", "maxAssistantMessages": 1, "name": "example", "prompt": "example", "workspaceId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Unauthorized.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}Tier not found.
Media typeapplication/json
The description of a known exception.
object
code
The error code.
string
cta
The error call-to-action.
object
type
required
string
url
required
string format: uri
feedback
required
The error feedback.
object
enUs
string
esEs
string
ptBr
string
message
required
The error message.
string
name
required
The error name.
string
Example
{ "cta": { "type": "support-contact" }}